% Input:
% x: vector (value to optimize)
% norm: scalar(1/2/Inf norm to use)

% Output:
% value: double

% Description:
% Computes the negative norm of vector x
% helperfunction for algo1

function[value] = mymax(x,normvalue)
value = - norm(x,normvalue);
